# slurm.conf file generated by configurator easy.html.
# Put this file on all nodes of your cluster.
# See the slurm.conf man page for more information.
#
SlurmctldHost=aneesur
#
#MailProg=/bin/mail
MpiDefault=none
#MpiParams=ports=#-#
ProctrackType=proctrack/cgroup
CacheGroups=0
ReturnToService=1
SlurmctldPidFile=/var/run/slurmctld.pid
#SlurmctldPort=6817
SlurmdPidFile=/var/run/slurmd.pid
#SlurmdPort=6818
SlurmdSpoolDir=/var/spool/slurmd
SlurmUser=slurm
#SlurmdUser=root
#StateSaveLocation=/var/spool/slurm
StateSaveLocation=/var/spool/slurmctld
SwitchType=switch/none
TaskPlugin=task/cgroup
#
#
# TIMERS
KillWait=30
MinJobAge=300
SlurmctldTimeout=120
SlurmdTimeout=300
InactiveLimit=0
Waittime=0
#
#
# SCHEDULING
SchedulerType=sched/backfill
SelectType=select/cons_res
SelectTypeParameters=CR_CPU
SchedulerParameters=assoc_limit_continue
#
#
# LOGGING AND ACCOUNTING
AccountingStorageType=accounting_storage/slurmdbd
ClusterName=cluster
AccountingStorageEnforce=limits,qos
AccountingStorageTRES=cpu,gres/gpu
#JobAcctGatherFrequency=30
JobAcctGatherType=jobacct_gather/linux
#SlurmctldDebug=info
SlurmctldLogFile=/var/log/slurm/slurmctld.log
#SlurmdDebug=info
SlurmdLogFile=/var/log/slurm/slurmd.log
PriorityType=priority/multifactor
#PriorityDecayHalfLife=14-0
PriorityDecayHalfLife=7-0
#PriorityCalcPeriod=0-0:05
PriorityCalcPeriod=0-0:01
#PriorityFavorSmall=no
PriorityFavorSmall=yes
#PriorityMaxAge=7-0
PriorityMaxAge=5-0
#PriorityWeightAge=1000
PriorityWeightAge=10000
PriorityWeightFairshare=100000
#PriorityWeightJobSize=1000
PriorityWeightJobSize=10000
PriorityWeightPartition=50000
#PriorityWeightQOS=1000
PriorityWeightQOS=0
#PriorityWeightTRES=CPU=1000,Mem=2000,GRES/gpu=30000
PriorityWeightTRES=CPU=1000,Mem=2000,GRES/gpu=30000
PriorityFlags=MAX_TRES,CALCULATE_RUNNING,FAIR_TREE
#PreemptType=preempt/qos
##
#
# COMPUTE NODES
NodeName=node[1-9] Sockets=2 CoresPerSocket=20 ThreadsPerCore=1 Procs=40 State=IDLE
NodeName=gpu[1-4] Procs=40 Gres=gpu:1 State=IDLE
NodeName=aneesur  Sockets=2 CoresPerSocket=20 ThreadsPerCore=1 Procs=40 State=IDLE
NodeName=aneesur1  Sockets=2 CoresPerSocket=20 ThreadsPerCore=1 Procs=40 State=IDLE
PartitionName=debug Nodes=node[1-9] AllowGroups=ALL AllowAccounts=ALL AllowQos=ALL Default=YES MaxTime=60 MaxNodes=1 Priority=20 State=UP
PartitionName=main Nodes=node[1-9] AllowGroups=ALL AllowAccounts=ALL AllowQos=ALL Default=NO MaxTime=2880 MaxNodes=4 Priority=10 State=UP
PartitionName=gpu Nodes=gpu[1-4] AllowGroups=ALL AllowAccounts=ALL AllowQos=ALL Default=NO MaxTime=2880 MaxNodes=2 Priority=10 State=UP

# Epilog/Prolog parameters
#Prolog=/var/spool/slurmd/prolog
#Epilog=/var/spool/slurmd/epilog
